# m_desktop.cc File Reference

## Detailed Description

Mode class for the Desktop mode.

Definition in file m_desktop.cc.

`#include "m_desktop.h"`
`#include "data.h"`
`#include "protocol.h"`
`#include "protostructs.h"`
`#include "packet.h"`
`#include "endian.h"`
`#include "error.h"`
`#include "usbwrap.h"`
`#include "controller.h"`
`#include "parser.h"`
`#include <stdexcept>`
`#include <sstream>`
`#include "debug.h"`

Include dependency graph for m_desktop.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

struct | Barry::Mode::DBLoaderData